com.jscape.inet.ssh.util

## Class SshHostKeys.Entry

- java.lang.Object
- - com.jscape.inet.ssh.util.SshHostKeys.Entry

- Enclosing class:
    SshHostKeys

      public static class SshHostKeys.Entry
      extends java.lang.Object

  A store entry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `fingerprint`
    `java.net.InetAddress` | `host`
    `java.security.PublicKey` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(java.net.InetAddress host, java.security.PublicKey key, java.lang.String fingerprint)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SshHostKeys.Entry` | `entryFor(java.net.InetAddress host, java.security.PublicKey key)`
    `static SshHostKeys.Entry` | `entrySha256For(java.net.InetAddress host, java.security.PublicKey key)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### host

          public final java.net.InetAddress host

    - #### key

          public final java.security.PublicKey key

    - #### fingerprint

          public final java.lang.String fingerprint

  - ### Constructor Detail

    - #### Entry

          public Entry(java.net.InetAddress host,
                       java.security.PublicKey key,
                       java.lang.String fingerprint)

  - ### Method Detail

    - #### entryFor

          public static SshHostKeys.Entry entryFor(java.net.InetAddress host,
                                                   java.security.PublicKey key)

    - #### entrySha256For

          public static SshHostKeys.Entry entrySha256For(java.net.InetAddress host,
                                                         java.security.PublicKey key)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved